Subject: [FFML] [Inuyasha] I've Seen It All

From: Bastion <[email-masked]>
Date: Thu, 12 Apr 2007 09:57:20 -0500 (GMT-05:00)

C&C appreciated.  It's great to have you back FFML!  BTW, I'm experimenting with formats here.  Let me know if the formatting looks good to everyone.

For more of my works please check here:
http://www.mediaminer.org/fanfic/src.php/u/1879

I've seen it all, I've seen the dark 
I've seen the brightness in one little spark. 
I've seen what I chose and I've seen what I need, 
And that is enough, to want more would be greed. 
I've seen what I was and I know what I'll be 
I've seen it all - there is no more to see!
Bjork - I've Seen It All

I've Seen It All
By: Bastion

	It had been a long trip; but now he was finally going home.  Thank God for the 
Tokaido Shinkansen, if he had done this by car it would have taken twice the amount of 
time than by the bullet train.  It was a good thing too; Nodoka had a hard enough time 
dealing with his daughter before their son came along.  He swore that Nodoka would let 
that seven year old do anything she wanted if he wasn't there.

	Daiki glanced at his watch again.  The train would be here any minute now, and 
not surprisingly, the rest of the crowd standing on the platform had figured this out as 
well.  He quickly found himself herded into the gates with the rest of the passengers like 
mindless cattle.  The closeness of their bodies made him uncomfortably warm, and if it 
had not been for the cool spring breeze, he swore he'd be swimming in his suit.

	'Man, they weren't kidding when they said Osakans are impatient.'  Daiki 
concluded darkly, as the undulating sea of humanity churned and pushed against his back.      

	Nodoka had subtly brought up the idea of moving to Osaka when he discovered 
his job would require traveling here often, but he didn't want to be too far away from 
family.  Ever since Mom had died, the only thing Dad had was him and the shrine, and 
though Daiki could tell that his father went to great lengths not to show it, the 
responsibilities to the shrine were beginning to take their toll on the old man.  Besides, he 
loved how the old man's face could simply transform into childish delight when he held 
one of his grandchildren.  Daiki just didn't feel right denying his father at least that joy. 

	Suddenly, the high pitched whine of the train's breaks on the tracks returned 
Daiki back to the task at hand; mainly trying to keep a solid grip on his suitcase while 
squeezed by the crowd.  Finally, the train drifted into view and gracefully stopped in 
front of the crowd, opening its doors and beckoning the passengers to board.  As Daiki 
made his way onto the train, he couldn't shake the feeling he was being watched.

	Shaking his head he chuckled.  'Maybe I still got it.'

	Paying no heed to his paranoia, Daiki entered the cab, passing row after row of 
seats until he came to his assigned spot.  Ducking into his chair, Daiki exhaled and 
relaxed.  Finally, he was going back home.  Looking out the window beside him, he 
counted the rows of tracks that lined the middle of the terminal.  He had counted to about 
thirty for the second time (since he lost his place a few times) when an errant elbow 
nearly nailed him in the face.

	"Oh! I'm so sorry!"  The woman immediately bowed within the small confines of 
the aisle.  "I didn't mean to, it's just that these seats are so narrow."

	"Not a problem at all."  Daiki smiled and looked up at the woman standing before 
him.  She couldn't have been younger than forty, maybe into her late forties, judging 
from the few wrinkles that gently caressed her face.  She had tied her thick raven hair in a 
ponytail behind the nape of her neck, but he could see a few wisps of gray had begun to 
creep into the dark mane like trails of shooting stars.  However, despite her age, the 
woman looked very attractive in her light blue sundress and white shawl.  In a strange 
way, she almost appeared like an older version of Nodoka.

	'If I could only be so lucky.'  Daiki mused.       	

	Daiki blinked when he realized the older woman was still half-standing, half-
crouching, while looking at him rather expectantly.

	"Ah, yes!"  Daiki sat up with a start and moved over to allow the woman better 
access to her seat.  "Forgive me, I didn't mean to stare.  You just made me wonder if my 
wife would age as gracefully as you."

	Daiki smiled, as the woman's cheeks grew flush.  Maybe this trip would prove to 
be entertaining after all.  At least having this nice woman next to him would take his 
mind off of worrying about Nodoka and the kids.  
	
	A loud cough caught their attention.  The woman smiled meekly as she glanced 
over her shoulder and sat down, revealing a tall black-haired gentleman holding a 
newspaper.  His dark piercing eyes seemed to be flashing him a stern warning as the 
woman tugged on his sleeve.

	"Oh come on Jiro.  The man was only trying to pay me a compliment."  The 
woman's soft chuckle appeared to calm the man.  "Besides, this is going to be a long trip, 
and you *promised* me you'd be on your best behavior."

	'Ugh, maybe this will be a long trip.  Better make amends quickly and shut up 
before I stick my foot further into my mouth.'  Daiki bowed as deeply as the small space 
would allow without violating the personal space of what he guessed was Jiro's wife.  "I 
apologize.  I didn't mean any offense by what I said earlier."

	Daiki glanced up, hoping that the rather intimidating fellow would accept his 
apology.  

	'Is he smirking?'  The gesture annoyed him slightly.  'I swear if I didn't know any 
better, I'd say this man takes a great deal of enjoyment from watching others squirm.'

	Returning upright in his seat, Daiki eyed Jiro warily as the brooding man 
nonchalantly opened his newspaper.  There was something about that man that just 
seemed feral, despite his rather conservative slacks and button-down shirt.  With his dark 
untamed bangs hanging low across his eyes, Daiki couldn't tell if the man was going to 
pounce on him the moment he made the wrong move.  Honestly, he couldn't be sure if it 
was just the man's nature, or what.  He supposed kinda flirting with his wife didn't help 
matters, either.

	Finally, the train had begun to move again, and the bland white decor of the train 
station slowly changed to the gently rolling lush hills that surrounded Osaka.  The strange 
brooding fellow forgotten, Daiki went about the task of going down the list of things he 
needed to do when he got home.  He had gotten to "Make sure to start Buyo on his diet" 
when the woman next to him caught his attention.

	"I'm sorry about my ... husband's behavior.  Believe me when I say that Jiro is as 
harmless as a puppy."  The woman's eyes flashed mischievously as Daiki could hear the 
newspaper crinkle in Jiro's hands.  "Besides, he's a great guy once you get to know him."

	"Uh, yeah.  I'll take your word on that.  Heh."  Daiki didn't quite know what to 
make of this woman.  If he didn't know any better, he'd say she was either nervous, or 
flirting with him.  But in front of her husband?  Maybe he was too dashing?

	"Yeah.  Hehe."  The woman chuckled.

	'Yep, definitely too dashing.'  

	"Oh how rude of me! I didn't properly introduce myself."  The woman beamed.  
"My name is Chiyo."
      
	"Okay, since we're going on a first name basis, my name is Daiki."  This was 
definitely turning out to be a rather interesting trip so far, and they hadn't even reached 
Kyoto yet.  He couldn't understand why the woman was so eager to be so friendly with a 
stranger, yet at the same time, her openness was rather refreshing.  

	'Oh well, maybe it's just the way Osakans are.  Very strange people indeed.'

	"So Daiki, what brings you to Tokyo?"

	"Ah, well, I just got done with a business trip here and now I'm going home."  
Daiki replied happily.  "And what brings you to Tokyo?"

	Chiyo smiled in return.  "We're going back to Tokyo to visit our son."

	"Ah, that's nice to hear.  How old is your son?"

	Pausing, Chiyo thoughtfully tapped her chin.  "Oh, he's full grown now."  
Noticing Daiki's crinkled brow, she added.  "We had him quite young.  I guess you could 
say Jiro and I were high school sweethearts."
	
	"Huh.  You too, eh?"

	An eerie feeling of familiarity struck Daiki when Chiyo's face lit up.  "You two 
met in high school?"

	"Well, uh, yeah.  It was all very random, really."  Daiki backed against the 
window as the woman leaned in, a strange, knowing grin curling on her lips.

	"How did you two meet?"

	"Well you see, my father is a priest at a small shrine in Tokyo, and one day these 
girls from the local high school came by wanting to pray for help on their final exams.   
Apparently, they had spent the entire previous evening watching some soap opera on TV, 
and didn't bother to study one minute.  My wife, Nodoka, was one of those girls."  

	"Honestly, I wouldn't have given it a second thought, except that Nodoka had 
wandered over to this well we had on the grounds.  At first I thought she was some alley 
cat that had snuck into the well house.  Boy, I can still remember the look of horror on 
her face when I nearly clobbered her with my broom."
      
	Chiyo's eyes sparkled as she chuckled with him.  "So, the two of you fell in love 
and lived happily ever after I take it?"
      
	Daiki raised an eyebrow.  "Actually, no.  I mean I scared the poor girl half to 
death.  She practically avoided me when she finished her visit to the shrine.  No, I didn't 
really get to know her until I ran into her again at a grocery store nearly a month later.  I 
recognized her as the nosey bad student and she remembered me as the scary shrine 
demon."
      
	A snort from Jiro caused Daiki to pause.  After an encouraging nod from Chiyo, 
he continued.  "I, of course, asked how she did on the exam she forgot to study for, and 
she told me that her teacher had accidentally threw away the exams he had prepared the 
day before and was forced to postpone the test until the following day.  Learning her 
lesson, she unplugged her TV and studied the entire night.  She barely passed her exam, 
but she still passed."
      
	"So I guess the gods of the shrine smiled upon them?"
      
	"One of the few times, I'll tell you that."  What was it about this woman's laugh 
that warmed Daiki's heart so much?  "Anyway, so we get to talking and soon, somehow, 
the two of us end up on a date, and then one day I find myself proposing to her 
underneath an ancient tree next to the shrine."
      
	Chiyo clasped her hands together and swooned.  "Oooh, that's so sweet."
      
	"Yeah, and we also had our daughter when we were young."  Daiki glanced at his 
suitcase, reflecting on his current job situation.  "Maybe a little too young, honestly."      

	The woman's smile faltered slightly, as she brought her hand to her wrist.  "What 
do you mean?"

	Daiki leaned back and sighed.  "Nodoka had just barely graduated from high 
school, and I had just barely started in college.  The first few years were tough, especially 
with a child, and I had to find a decent paying job and fast.  It's funny, you'd think it 
would be as simple as finding the person you love and it would be, as you say, happily 
ever after, but it wasn't.  I was forced to take on a job I didn't necessarily like, while 
balancing school and a family, and Nodoka had to adjust to the idea of being a mother 
before even getting a chance to start college.  Yeah, those first few years were pretty 
tense."

	Chiyo's smile had since faded altogether, while she subconsciously rubbed her 
wrist.  "I'm sorry to hear that your daughter caused the two of you such distress.  I had no 
idea."

	Something about the woman's tone shook Daiki to the core, and he became 
acutely aware of Jiro's hard stare from around the edge of the newspaper.  "Oh, there's 
no need to apologize.  It's true those years were tough, but they helped us realize how 
much we loved one another.  In fact, I guess you could say it strengthen the bond 
between the two of us.  Besides, my daughter is one of the greatest blessings we ever 
received."

	"That's so beautiful!"  The warmth returned to Daiki's chest when a suddenly 
excited Chiyo griped her armrest.  "So tell me about your daughter.  What is she like?"        

	"She's a very cute and wonderful child.  However, she's got this curious nature 
that always gets her into trouble.  I blame that on Nodoka."  Chiyo laughed lightly at that 
as Daiki became more thoughtful.  "She's also as stubborn as an ox and has the temper of 
an angry hornet."

	The woman's smile grew, but behind it Daiki could sense her irritation as Jiro 
failed miserably at hiding his snickering.  Such an odd couple, Daiki noted, continuing.  
"I suppose I should be proud she takes after me like that, but it's gotten worse since my 
son was born." 

	"Maybe your daughter is just acting out to get your attention?"

	"Nah, I don't think so.  I mean Nodoka does a great job of splitting her attention 
between the two."

	Daiki jumped slightly when Chiyo placed her hand over his and squeezed.  "No, I 
mean she wants to get *your* attention."
	
	"It's me she misses, isn't it?"  The realization struck Daiki between the eyes.   

	"That's what my mother's intuition tells me."

	"Of course, it makes sense, doesn't it?"  Daiki glanced again at his suitcase.  "Oh, 
but I didn't get her any souvenirs."

	"I think maybe she'd appreciate more father-daughter time than a small trinket, 
Daiki."

	More father-daughter time, huh? Daiki pondered crestfallen.  He couldn't 
remember the last time he'd spent any time alone with the girl.  He didn't know what she 
was doing in school, or what her favorite color was.  Heck, he couldn't even recall what 
she liked to do if he took her anywhere.  Had he allowed his own daughter to become a 
stranger to him?  That familiar pang of guilt washed over him.  Deep down, he knew 
that's what his daughter needed.  When he first took this job, he was worried the kids 
might miss him, but he had reasoned that Nodoka would be able to provide all the 
attention the children needed for the times he had been away.  She'd always been 
brimming over with love, but perhaps he had been mistaken to think that she had enough 
to make up for his absence.  

	'I really am a rotten father.'  Daiki loathed.

	"Now don't get so down on yourself."  Chiyo's ringing voice chimed.  "You're 
doing what you can to provide for your family.  I'm sure when your daughter grows up, 
she'll understand."

	"You think so?"  The woman almost looked surprised by his question and her 
smile softened.  He supposed few people sought the woman's opinion.  What a shame, it 
would do a lot of people good if they ever listened to her.  

	A strange twinkle developed in Chiyo's eyes, like she was much older, and much 
wiser, than she was letting on.  "I know it."

	Daiki's apprehension didn't cease, though, and he supposed Chiyo could read it 
on his face, as her tone became more somber.  "There were times in our lives where my 
husband or I felt like we let our children down.  But that's a part of life, and what's most 
important is that you're there for them and let them know they're loved."

	At this, Daiki dared a glance at Jiro, and noticed the older man grimacing.  So the 
tough guy does have feelings.  Maybe he did have a heart underneath that gruff exterior.  
Well, at least it would explain why this wonderful woman had remained married to this 
stubborn man for so long.

	"And we must cherish every moment we have with our children," Chiyo 
continued wistfully, looking saddened, "because we never know when it will be the last 
time we see them."

	That got Daiki's mind churning.  What if he returned home and found out that one 
of his children was dead?  Or if one of them ran away and was never to be seen again?  
Daiki's heart ached and a heavy coolness sank into his stomach at the thought.  Did Mom 
feel like this when she passed away?  

	"You speak as if you know from experience."         

	Chiyo's lips thinned to a small line, her posture slightly protected.  He had seen 
Nodoka do the same thing when she reflected on some of the more unpleasant times of 
her life.  Huh, did all women do that, Daiki wondered.

	"My father died in an accident when I was a young girl."  Chiyo's eyes became 
almost vacant.  "Since he had to be at work before I woke up for school, I never had a 
chance to say good-bye or 'I love you' before he left."

	"Oh, I'm sorry to hear that.  Sounds like you loved your father very much.  It's 
too bad you never had a chance to say good-bye to him."

	"Yeah."  Chiyo said thoughtfully, and then her smile softened,  "At first I grieved 
the fact that I never had the chance to say that I loved him dearly before he left, but then 
when I got older and had children of my own, I realized that I shouldn't grieve the missed 
opportunity to tell him those things.  I should cherish the memories that I had with him, 
and share those memories with others who never had a chance to meet him, to let them 
know how great of a man he truly was."

	Daiki thought back to the happy times he had spent with his mother.  He 
remembered all the times she had kissed him on the forehead, hugged him, or consoled 
him.  She truly was a great mother, wasn't she?  "I hope my children feel the same way 
about me one day."

	"That much I'm certain."  The strained tone of Chiyo's voice made Daiki look up, 
and he immediately noticed that despite the fact that she still wore the same soft smile, 
moisture had begun to form in her eyes.

	Chiyo quickly became conscious of her tears and gingerly dabbed her eyes.  

	"I'm sorry," the woman sniffed, "will you excuse me?"

	With surprising speed the dark haired woman had vacated her seat, leaving Daiki 
to deal with the stifling silence of the feral husband.  

	"Uh."  Daiki stammered as he chose his words wisely.  "I'm really sorry.  I didn't 
mean to make your wife cry like that Mr-"

	"Just call me Jiro."  The older man huffed while nonchalantly flipping a page.  
"And don't worry, I'm not mad or anything.  She's always too emotional when talking to 
people about this stuff."

	"I see."  Daiki replied, not too sure whether he could say more to the man, as Jiro 
read something on the opposite page showing him a great deal of disinterest.  

	'Oh well, I tried.'  He thought giving the man one last fleeting glance, suddenly 
catching a brief look of panic in Jiro's eyes.  'He's nervous?  Why would he be nervous 
around me?  I mean he looked like he was ready to rip my head off when he first got on 
the train.' 
	
	No sooner had Daiki glanced back at Jiro, did his wife mysteriously materialize in 
their aisle, sans her white shawl.

	"I really must apologize for leaving you so suddenly."  Chiyo smile sweetly while 
adding bubbly  "I hope Jiro didn't make you feel too uncomfortable."  

	Daiki just stared blankly at the woman.  She seemed to fluidly transition from 
wise elder, to best friend, to bubbly schoolgirl in a matter of moments.  "Uh, hardly."
      
	"That's good!"
      
	Blinking, Daiki collected his wits and suddenly noticed something rather peculiar 
on the wrist Chiyo had been rubbing earlier.  "I hope you don't mind me asking, but 
where exactly did you get that particularly nasty scar from?"

	Chiyo immediately covered the offending scar.  "Oh, well, you see, I accidentally 
cut myself a long time ago while cooking something."

	Daiki raised an eyebrow.  "You must have been extremely distracted to cut 
yourself that badly."

	The older woman blushed and turned her head slightly to her husband, who in 
turn coughed and buried his head further into his newspaper.

	"Ah."  Daiki drew out in a breath and exhaled.  "Forget I asked."
	
	It had become quiet again, but Chiyo still remained facing him slightly.  The soft 
clicking sounds of the track against the wheels of the train kept a steady rhythm while 
Daiki studied her face.  She appeared apprehensive, at least that's what he assumed he 
detected since she hid her emotions well behind a cheerful facade.  Man, since when did 
he ever become so good at reading women?  Nodoka must have trained him well.  

	"Since you know a lot about me, tell me something about you." Daiki finally 
decided to mercifully end the awkward silence, "How did you two meet?"

	Chiyo chewed on her lip, contemplating her answer.  "Our relationship was more 
of an adventure, I guess you could say.  Jiro and I didn't get along that well when we first 
met. Heck, I thought he was going to kill me."

	"Ah come off it."  Jiro stated dryly from behind the newsprint.  "I wasn't going to 
hurt you."
      
	Craning her neck around, Chiyo admonished her husband.  "That may be true, but 
at the time I didn't know any better."  Sighing, the woman continued.  "Anyway, Jiro had 
just ended a relationship that left him bitter when I met him.  It didn't help things when 
an elderly lady we both knew asked us to find some special... objects that used to belong 
to her sister."
      
	"Huh."  Daiki tapped his chin, so Jiro really did have a soft spot.  "That was 
awfully thoughtful and kind of the two of you to do that for that old woman."
      
	"Dumb old hag."  Daiki could hear Jiro murmur.  
      
	'Okay, maybe it's not too soft.'  Daiki blinked, deciding it was best to leave well 
enough alone.  "So I assume that the two of you grew closer during this mission?"
      
	A gleam came to Chiyo's dark eyes.  "Yeah, but only because this little mission 
had proven to be more difficult than we expected and only got even more dicey when we 
found out that we had competition for these... objects."
      
	"I see."
      
	"Then his ex came back into the picture."  
      
	"Ouch."  Daiki frowned.  He'd seen too many relationships end because of past 
lovers making an unexpected appearance.
      
	Suddenly, Chiyo's face brightened.  "But in the end, everything worked out.  We 
got all the objects and, thanks to a box of Pocky, Jiro pronounced his love for me and the 
rest is, well, history."
      
	Chiyo giggled while Daiki swore he could hear Jiro sighing heavily.  "Pocky?"
      
	"Back then it was called Chocoteck, if I remember correctly."
      
	"Yeah, I remember that, but how did a box of Pocky make him pronounce his 
love for you?"
      
	Another blush rose on Chiyo's cheeks as she raised her wrist again and pointed at 
her scar.  "Ah, you see-"
      
	Instantly, Daiki raised his hands letting her know he got the message loud and 
clear.  Some things were better left unknown.  "I think I understand now, no need to 
explain further."
      
	Jiro snorted in response and Chiyo's cheeks reddened like sun-dried tomatoes.  
Daiki had to pause again.  He felt at a loss about what it was about this couple that made 
him feel... at home, he guessed he could call it.  In the short time he spoke with Chiyo 
and her husband, he felt more like he was catching up with long lost relatives.  It was 
unfortunate they weren't, he wouldn't mind having them visit during the holidays.  At the 
very least they'd make things livelier.
      
	"We are now arriving at Tokyo Station." The voice over the loud speaker startled 
Daiki.  A quick check of his watch confirmed that somehow two and a half hours slipped 
by him.
      
	The disappointment was obvious on Chiyo's face and Daiki gave her an 
apologetic smile.  "I guess our time is up."
      
	"Much too soon, I would say."  The woman replied as the train softly jolted to a 
halt.  
      
	At once, the aisles became a congested tangle of bodies crowding to exit the train.  
Much to Daiki's surprise, or perhaps not, the couple calmly remained in their seats, 
waiting patiently for the rest of the passengers to leave.  Meanwhile, though Chiyo did 
well to hide it, Daiki's trained eye could detect her underlying anguish peeking out from 
beneath her cheerful demeanor.  Somehow, it just didn't feel right leaving them like this.  
It was like there was some unfinished business that needed to be attended to.
      
	As they waited, Daiki looked down at the suitcase he held in his hands and an 
idea occurred to him.  Digging through the pockets, Daiki retrieved a pen and a piece of 
paper.  Frantically, before it was their turn to empty their seats, Daiki scribbled down 
some information.
      
	His frantic motions caught the couple's attention and as Chiyo turned, a limp 
sheet of paper pinned between Daiki's fingers greeted her.  Daiki held the paper as if he 
was offering her a freshly caught fish, albeit not quite as twitchy, in front of the surprised 
woman's face.  
      
	"If you two find yourselves with nothing to do in Tokyo after visiting your son," 
Chiyo's surprise charging both Daiki's nervousness and the tempo of his speech, "I 
would be honored if the two of you would drop by and meet my family.  I think my 
children and wife would enjoy your company as much as I have on this trip."  
      
	Chiyo blinked a moment and then smiled as she gently took the piece of paper 
from Daiki's hand.  
      
	"That's the phone number to my office."  Daiki informed.  "Feel free to call me if 
the two of you would like to meet my family."
      
	"Thank you.  We will be sure to give you a call the moment we can."
      
	Daiki studied Chiyo's face and despite her warm smile, her eyes watered slightly, 
hinting that something about this gesture saddened her, which in turn made his heart sink.  
A nagging feeling told him he wouldn't hear from them again.
      
	All too soon, their turn had come, and they were swiftly caught up in the strong 
current of moving bodies as they exited the train.  Daiki made sure to tail the couple 
closely until Chiyo twirled around, facing him, her face beaming.
      
	"Well I guess this is good-bye, Daiki."  Chiyo announced almost too cheerfully, 
clasping her hands in front of her.
      
	Without a second thought, Daiki snatched one of Chiyo's hands and bowed 
deeply.  "It was a great honor to meet you and Jiro.  I'm glad I was able to speak with 
you and I want to thank you for sharing your wisdom with me.  I only hope that one day 
my daughter grows up to be as great and wise a mother as you."
      
	Quite unexpectedly, Chiyo flung her arms around Daiki, the older woman's tears 
soaking through the shoulder of his suit while her strained sobs chorused in his ears.  
Daiki looked uncertainly towards Jiro who only stood by and watched, his face softening 
just a smidge.  When he noticed Daiki's gaze, Jiro's masked aloof expression returned, 
but he nodded in approval.  
      
	'Yeah, a true softy deep down inside.'  Daiki chuckled mentally as he returned 
Chiyo's hug.  He didn't know why, but holding her made him warm inside, reminding 
him of the times he'd hugged his own mother.
      
	When Chiyo disengaged herself from him, Daiki extended his hand to Jiro.  "It 
was a pleasure to meet you as well, Jiro.  I'm glad Chiyo was able to find such a strong 
and gentle soul to give her strength."
      
	Daiki crinkled his brow when he noticed Jiro smirk at him and bypassed his 
extended hand.  Once again, Daiki found himself being crushed in yet another embrace.
      
	Out of the corner of his eye, Daiki could see Chiyo's shock as she covered a gasp 
with both her hands.  Confused, Daiki did the only thing he could think of which was to 
smack the older man's deceivingly muscular back in return.  
      
	"Thanks for everything, Mr. Higurashi."  Jiro's whisper barely reached Daiki's 
ear before he stepped back.
      
	Instantly, Daiki's blood froze.  Daiki quickly opened his mouth to question the 
man when the couple somehow had made their way to the exit of the station.  In the 
distance, Daiki could make out Chiyo's smiling face as she waved from her location.  
      
	Not knowing what else to do, Daiki smiled and waved back, raking his memory 
for when he told them his last name.
      
--------------------------------------------------------------------------------

	"Argh, I hate having to be human out in public."
      
	"I'm sorry.  You'll be able to can change back when we get to Kazuki's house."
      
	"Yeah, but it feels so unnatural!  It's driving me crazy!"
      
	"I know what you mean, I don't think I'll ever be used to seeing you with black 
hair."
      
	"Yeah.  I guess it was a good thing I made that wish on the jewel or else it would 
have taken me *this* long to get this good a handle on my transformation."
      
	"Uh-huh.  ...  I can't believe I got so nervous, I couldn't even follow the script I 
planned out."
      
	"I could tell when you reached out to me through the blood bond when he started 
talking about having you so young.  I hope that at least I was able to project a soothing 
aura.  It was kinda difficult because I was holding the newspaper and couldn't exactly 
casually rub my mark."
      
	"No, I could feel it.  Thanks, it really calmed my nerves when you did that."
      
	"Speaking of the blood bond, nice job explaining your 'scar.'  It was almost as 
humiliating as when you told him about the God damn Pocky.  Why did you have to tell 
him that?"
      
	"I didn't know what else to say.  I thought I needed to distracted him or else he 
may have figured it out."
      
	"Kinda like that American who saw us fighting that alligator demon during our 
little riverboat vacation."
      
	"That was the Mississippi and you're never going to let live that one down are 
you?"
      
	"Not for awhile at least."
      
	"Great, that could take centuries!  Ugh, now you got me remembering how 
awkward it was having to explain everything to him too.  What possessed me to think 
that taking a vacation to America was such a great idea?  Especially before they invented 
air conditioning."
      
	"At least we never heard from him again.  What was his name?"
      
	"Sam Clements or something."
      
	"At least the moron kept his trap shut."
      
	"I think he would especially after you threatened to feed the poor man to Kirara."
      
	"Hey, I wouldn't have to if you didn't tell him everything."
      
	"What was I suppose to do?  I'd answer one question and then he'd ask another.  
Besides, it was nice for once to tell someone the real story of our lives.  For a long time, I 
always wanted to write down our adventures and publish them like those folktales.  You 
have to admit, it would make for a great story."
      
	"I swear, woman, you babble too much."
      
	"After what happened earlier, you have room to talk."
      	
	"Hey, I was nervous too considering who the guy was.  There was no telling what 
would happen.  I didn't want to screw anything up and he kept trying to talk to me.  It 
also didn't help he tried flirting with you.  That was just wrong."
      
	"Oh please, you're being possessive again.  He was just trying to make 
conversation.  Besides, he wasn't a threat, he was already married."
      
	"Still, I only knew what you told me about him and it wasn't much to go on."
      
	"True."
      
	"...  So... was he at all what you remembered him to be?"
      
	*sigh* "Yes and no.  It had been so long since I'd seen him; I nearly forget what 
he looked like.  I just remember missing him terribly when he went on those business 
trips but I also remember how much fun we had when would visit a park.  Most of all I 
just remember how he made me feel so loved and important.  Congratulating me when I 
came home with a good grade or letting me know everything was going to be okay when 
something upset me.  All those feelings came rushing back to me when I met him again, 
however I wasn't prepared to see him look up to *me* for advice.  That threw me for a 
loop.  And then when he asked me about whether he thought he was a good father, I just 
couldn't hold back anymore.  I'm sorry for leaving you behind like that."
      
	"Eh, there's no need to apologize.  I don't know if I woulda not done the same if I 
were in your shoes."
      
	"It's an odd feeling, you know.  For the last five-hundred years we've gone all 
sorts of adventures and seen all kind of things.  But I don't think I could have truly said 
I've seen it all until I had a chance to see him again."
      
	"You think we did the right thing?"
      
	"I'm not sure.  I remembered why I missed him so much to begin with and now I 
have to stand by and watch it happen all over again, but this time I can't do anything."
      
	"No, this time you won't have to deal with it by yourself."
      
	"Yeah.  ...  I would like to ask you one favor though."
      
	"What?" 

	"Take me to Odaiba."
      
	"What!?  That dump?  No way.  It's nothing more than a concrete wasteland."
      
	"Not now, you dummy.  A few years from now."
      
	"Why?"
      
	"Thinking about Pappa has me feeling nostalgic and there's something that they'll 
build there that I would like to share with you."
      
	"And what is that?"
      
	"A ferris wheel."
      
	"Okay, whatever you say."
      
	"..."
      
	"..."
      
	"By the way, what did you say to him before we left that shocked him so badly?"
      
	"Keh, wouldn't you like to know."
      
	"Hmpf!  I swear I don't know why I mated you sometimes."
      
	"Because I'm so charming and one of the strongest dog demons to ever have 
lived?"
      
	"Nah, I think it was the Pocky induced stupor."
      
	"Bitch."
      
	"Inuyasha's Bitch."   
      
-The End-
      
Theme Song:
I've Seen It All - Bjork
      
I've seen it all, I have seen the trees, 
I've seen the willow leaves dancing in the breeze 
I've seen a man killed by his best friend, 
And lives that were over before they were spent. 
I've seen what I was - I know what I'll be 
I've seen it all - there is no more to see! 
 
You haven't seen elephants, kings or Peru! 
I'm happy to say I had better to do 
What about China? Have you seen the Great Wall? 
All walls are great, if the roof doesn't fall! 
 
And the man you will marry? 
The home you will share? 
To be honest, I really don't care... 
 
You've never been to Niagara Falls? 
I have seen water, its water, that's all... 
The Eiffel Tower, the Empire State? 
My pulse was as high on my very first date! 
Your grandson's hand as he plays with your hair? 
To be honest, I really don't care... 
 
I've seen it all, I've seen the dark 
I've seen the brightness in one little spark. 
I've seen what I chose and I've seen what I need, 
And that is enough, to want more would be greed. 
I've seen what I was and I know what I'll be 
I've seen it all - there is no more to see! 
 
You've seen it all and all you have seen 
You can always review on your own little screen 
The light and the dark, the big and the small 
Just keep in mind - you need no more at all 
You've seen what you were and know what you'll be 
You've seen it all - there is no more to see!

     Epilogue
      
	He couldn't believe she would still sleep with that thing.  Daiki laughed softly as 
he gently tucked a loose strand of hair away from his daughter's slumbering face.
      
	'She looks so peaceful.'  Daiki admired from the bedroom door tucking his jacket 
underneath his arm.
      
	It had been nearly six months since he had met that strange couple on the train 
from Osaka.  Nodoka got a good chuckle or two from their rather odd behavior, 
especially when he told her about Chiyo's scar.
      
	"He must have been pretty good if she was willing to do *that* while cutting 
vegetables."  She had said.
      
	Daiki's cheeks reddened.  A truly odd couple indeed.  Shaking the thought from 
his mind, Daiki returned to watching his child sleep, while protectively clutching a 
pinwheel in her little hands.  He had taken Chiyo's advice to heart about spending more 
time with her.  With Nodoka's blessing he had taken the vivacious child out to several 
parks, swung from the swing sets at the local playground, and sometimes they even rode 
their bikes together.  
      
	He also tried to reduce the amount of time he spent on business trips, but he only 
had marginal success with that.  In fact, when his daughter found out he was going to 
Yokohama, she demanded that he take her to see the large ferris wheel out there.  It had 
taken some fast-talking, but he had been able to hold off on a family trip to Yokohama 
for another year.  
      
	For some reason, the girl loved things that spun.  That became particularly evident 
when one day at a park his little daughter became enamored with a purple pinwheel.  
Since his little girl knew his greatest weakness, (donning her cutest pouty face), he caved 
in and bought the spinning trinket.  His daughter never let it go ever since, carrying it 
with her to school or placing it in the wicker basket attached to the front of her bicycle.  
She seemed so fascinated by it, blowing into the open wings of the pinwheel just to watch 
its sparkling surface dance with light as it twirled.  She could be so precious sometimes.  
      
	Checking his watch, Daiki noted he needed to leave soon.  He paused as he 
reached for his briefcase that he had leaned earlier against the doorframe.  Something that 
Chiyo had mentioned to him echoed in his head:
      
	"And we must cherish every moment we have with our children, because we 
never know when it will be the last time we see them."
      
	He frowned slightly at that thought.  It was the one thing he hadn't mentioned to 
Nodoka, because she already cared deeply for their children, especially considering how 
close they came to losing their son when he was born.  No, she didn't need any more 
stress in her life by having her relive that day.  
      
	'That's it, I've had enough morbid thoughts for one day.'  Daiki resolved, moving 
back to his daughter's bed.
      
	Gingerly, he kissed the child's forehead and then gave the pinwheel a playful spin 
with his finger.  At this, the girl roused slightly.
      
	"Just a little longer..." She mumbled as she smacked her lips and fell back into 
her peaceful slumber.
      
	Daiki smiled and gently placed his hand on his daughter's head.  "Good-bye, my 
little Kagome.  Remember Papa loves you very much."
      
	Satisfied, Daiki left the bedroom, picking up his briefcase along the way, 
reminding himself that he needed to stop by Souta's crib before he left for work.

Author's Notes:

I'm not used to being this sentimental, but hey I gotta show my kinder, gentler side every 
once in awhile.  Hehe.

After reading SplendentGoddess' fic Mating Season, it got me thinking, what would 
happen when a 500 year old Kagome had the chance to meet her father again, assuming 
he met an untimely end.  Thus, the inspiration of this fic was formed.  In fact most of the 
things you see hinted at here (blood bond, Kagome's elongated life, scar on Kagome's 
wrist, Souta's near death experience, and the Pocky incident), are pulled from her fic.  
Not to worry though, I'm doing so with her full permission and knowledge.  In a weird 
way, I guess you could say this was a side story, but at the same time not.  Ah, oh well, 
above all else, I hope it was a good read.  

BTW, special thanks to SplendentGoddess for letting me dabble some in her fanfic 
universe as well as helping me with the editing.  Also, additional thanks to 
Toasterwoman360 for looking it over as well.

So if you're wondering about how it is that a box of Pocky could prompt Inuyasha to 
finally admit his feelings for Kagome, I suggest you go read her fic. You can find Mating 
Season at http://www.mediaminer.org/fanfic/view_st.php/106981  
Just *ahem* make sure you're 18 before you read it.

In addition to that, some historical context to consider.  I assumed that Kagome fell 
down the well around 2000 (based on when the series was first aired) when she was 15 
and Souta is 7, thus the moment on the bullet train occurs around 1992-93.  Incidentally, 
during this time, Japan got hit hard by the Asian Recession when the market bubble burst 
leaving many jobless.  Also, Pocky was originally called Chocoteck back in the 1960s 
(they kept it from us for that long?!) according to good ole Wiki, so I'm hoping that was 
true.  

Finally, I probably need to explain what exactly Odaiba is and its significance.  Odaiba 
was a man-made island that was supposed to be a sort of futuristic business park with 
experimental architecture and other fancy things until said Asian Recession made it an 
abandoned wasteland.  A few years later it was created into a tourist spot with shopping 
and other recreational activities.  One of those activities was to ride a rather famous ferris 
wheel in a place called Palette Town.  The ferris wheel is featured in one of the closing 
sequences of 'Inuyasha' with Kagome riding in it alone looking rather sad.  A purple 
pinwheel is also featured in another closing sequence attached to the front of her bike.  So 
that got my fanfic senses tingling, hey, maybe this has something to do with her dad, thus 
another plot element was formed.  Mwhahaha!    

By the way, I always wondered where Mark Twain found the inspiration to 'A Yankee in 
King Arthur's Court.'   Hmmm, coincidence?  Hehehehe.

Anyway...

The other inspiration that fueled this story was my own thoughts as I contemplated my 
upcoming wedding and thoughts of fatherhood (when it happens *after* I'm married).  A 
lot of this fic really embodies my own doubts about balancing my work life with my 
family life as well as how important being a father and husband is to me.  I'm not sure if 
I'll ever be blessed with children, I only hope I'm lucky enough to know.  So, yeah, this 
fic touched on topics that are very close to my own heart. 

Good night folks.

~Bastion 

Oh yeah, one last thing.

Disclaimer:
'Inuyasha' is owned by Rumiko Takahashi and are used without profit but without 
permission.  However, plot elements and characterizations from the fanfic 'Mating 
Season' by SplendentGoddess are being used _with_ permission.

             .---Anime/Manga Fanfiction Mailing List----.
             | Administrators - [email-masked] |
             | Unsubscribing - [email-masked] |
             |     Put 'unsubscribe' in the subject     |
             `------- http://ffml.zre.ca/faq.txt -------'